package com.steerinfo.ems.emswaihoursumtab1.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

public class EmsWAiHourSumTab1 implements IBasePO<String> {
    /**
     * 时间，格式 YYYY-MM-DD HH24(CLOCK,VARCHAR,20)
     */
    @ApiModelProperty(value="时间，格式 YYYY-MM-DD HH24",required=true)
    private String clock;

    /**
     * 插入时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="插入时间",required=false)
    private Date insertTime;

    /**
     * 一洗煤生产用水总用量(wjt)(TAG1,FLOAT,126)
     */
    @ApiModelProperty(value="一洗煤生产用水总用量(wjt)",required=false)
    private Double tag1;

    /**
     * 一洗煤生产复用水总用量(wjt)(TAG2,FLOAT,126)
     */
    @ApiModelProperty(value="一洗煤生产复用水总用量(wjt)",required=false)
    private Double tag2;

    /**
     * 二洗煤消防水1总用量(wjt)(TAG3,FLOAT,126)
     */
    @ApiModelProperty(value="二洗煤消防水1总用量(wjt)",required=false)
    private Double tag3;

    /**
     * 二洗煤玉洁水总用量(wjt)(TAG4,FLOAT,126)
     */
    @ApiModelProperty(value="二洗煤玉洁水总用量(wjt)",required=false)
    private Double tag4;

    /**
     * 玉洁复用水发生量(wjt)(TAG5,FLOAT,126)
     */
    @ApiModelProperty(value="玉洁复用水发生量(wjt)",required=false)
    private Double tag5;

    /**
     * 一制氧新水使用量(wjt)(TAG6,FLOAT,126)
     */
    @ApiModelProperty(value="一制氧新水使用量(wjt)",required=false)
    private Double tag6;

    /**
     * 二制氧新水使用量(wjt)(TAG7,FLOAT,126)
     */
    @ApiModelProperty(value="二制氧新水使用量(wjt)",required=false)
    private Double tag7;

    /**
     * 辅料一车间新水使用量(wjt)(TAG8,FLOAT,126)
     */
    @ApiModelProperty(value="辅料一车间新水使用量(wjt)",required=false)
    private Double tag8;

    /**
     * 辅料二车间新水使用量(wjt)(TAG9,FLOAT,126)
     */
    @ApiModelProperty(value="辅料二车间新水使用量(wjt)",required=false)
    private Double tag9;

    /**
     * 超细粉新水使用量(wjt)(TAG10,FLOAT,126)
     */
    @ApiModelProperty(value="超细粉新水使用量(wjt)",required=false)
    private Double tag10;

    /**
     * 80MW新水使用量(wjt)(TAG11,FLOAT,126)
     */
    @ApiModelProperty(value="80MW新水使用量(wjt)",required=false)
    private Double tag11;

    /**
     * 80MW除盐水发生量(wjt)(TAG12,FLOAT,126)
     */
    @ApiModelProperty(value="80MW除盐水发生量(wjt)",required=false)
    private Double tag12;

    /**
     * 一焦蓄水池1#补水新水用量(yww)(TAG13,FLOAT,126)
     */
    @ApiModelProperty(value="一焦蓄水池1#补水新水用量(yww)",required=false)
    private Double tag13;

    /**
     * 一焦蓄水池2#补水新水用量(yww)(TAG14,FLOAT,126)
     */
    @ApiModelProperty(value="一焦蓄水池2#补水新水用量(yww)",required=false)
    private Double tag14;

    /**
     * 二焦总管新水计量数累积量(yww)(TAG15,FLOAT,126)
     */
    @ApiModelProperty(value="二焦总管新水计量数累积量(yww)",required=false)
    private Double tag15;

    /**
     * 一工段北坡生活水用量累积量(yww)(TAG16,FLOAT,126)
     */
    @ApiModelProperty(value="一工段北坡生活水用量累积量(yww)",required=false)
    private Double tag16;

    /**
     * 一工段寨则生活水用量累积量(yww)(TAG17,FLOAT,126)
     */
    @ApiModelProperty(value="一工段寨则生活水用量累积量(yww)",required=false)
    private Double tag17;

    /**
     * 一工段沟门生活水用量累积量(yww)(TAG18,FLOAT,126)
     */
    @ApiModelProperty(value="一工段沟门生活水用量累积量(yww)",required=false)
    private Double tag18;

    /**
     * 一体系高炉1#高炉新水用量(yww)(TAG19,FLOAT,126)
     */
    @ApiModelProperty(value="一体系高炉1#高炉新水用量(yww)",required=false)
    private Double tag19;

    /**
     * 一体系高炉软水使用量(yww)(TAG20,FLOAT,126)
     */
    @ApiModelProperty(value="一体系高炉软水使用量(yww)",required=false)
    private Double tag20;

    /**
     * 一体系高炉复用水使用量(yww)(TAG21,FLOAT,126)
     */
    @ApiModelProperty(value="一体系高炉复用水使用量(yww)",required=false)
    private Double tag21;

    /**
     * 一体系烧结新水用量(yww)(TAG22,FLOAT,126)
     */
    @ApiModelProperty(value="一体系烧结新水用量(yww)",required=false)
    private Double tag22;

    /**
     * 一体系烧结复用水用量(yww)(TAG23,FLOAT,126)
     */
    @ApiModelProperty(value="一体系烧结复用水用量(yww)",required=false)
    private Double tag23;

    /**
     * 一炼铁区域总水表(yww)(TAG24,FLOAT,126)
     */
    @ApiModelProperty(value="一炼铁区域总水表(yww)",required=false)
    private Double tag24;

    /**
     * 一炼铁球团复用水使用量(yww)(TAG25,FLOAT,126)
     */
    @ApiModelProperty(value="一炼铁球团复用水使用量(yww)",required=false)
    private Double tag25;

    /**
     * 二炼铁高炉新水使用量(yww)(TAG26,FLOAT,126)
     */
    @ApiModelProperty(value="二炼铁高炉新水使用量(yww)",required=false)
    private Double tag26;

    /**
     * 二炼铁高炉复用水使用量(yww)(TAG27,FLOAT,126)
     */
    @ApiModelProperty(value="二炼铁高炉复用水使用量(yww)",required=false)
    private Double tag27;

    /**
     * 二炼铁烧结新水使用量(yww)(TAG28,FLOAT,126)
     */
    @ApiModelProperty(value="二炼铁烧结新水使用量(yww)",required=false)
    private Double tag28;

    /**
     * 二炼铁烧结复用水使用量(yww)(TAG29,FLOAT,126)
     */
    @ApiModelProperty(value="二炼铁烧结复用水使用量(yww)",required=false)
    private Double tag29;

    /**
     * 二炼铁球团新水使用量(yww)(TAG30,FLOAT,126)
     */
    @ApiModelProperty(value="二炼铁球团新水使用量(yww)",required=false)
    private Double tag30;

    /**
     * 二炼铁球团复用水使用量(yww)(TAG31,FLOAT,126)
     */
    @ApiModelProperty(value="二炼铁球团复用水使用量(yww)",required=false)
    private Double tag31;

    @ApiModelProperty(value="",required=false)
    private Double tag32;

    @ApiModelProperty(value="",required=false)
    private Double tag33;

    @ApiModelProperty(value="",required=false)
    private Double tag34;

    @ApiModelProperty(value="",required=false)
    private Double tag35;

    @ApiModelProperty(value="",required=false)
    private Double tag36;

    @ApiModelProperty(value="",required=false)
    private Double tag37;

    @ApiModelProperty(value="",required=false)
    private Double tag38;

    /**
     * 四五高线复用水使用量(TAG39,FLOAT,126)
     */
    @ApiModelProperty(value="四五高线复用水使用量",required=false)
    private Double tag39;

    @ApiModelProperty(value="",required=false)
    private Double tag40;

    @ApiModelProperty(value="",required=false)
    private Double tag41;

    @ApiModelProperty(value="",required=false)
    private Double tag42;

    /**
     * 二炼铁循环水新水补水流量(yww)(TAG43,FLOAT,126)
     */
    @ApiModelProperty(value="二炼铁循环水新水补水流量(yww)",required=false)
    private Double tag43;

    /**
     * 二炼铁2#矿槽底新水补水流量(yww)(TAG44,FLOAT,126)
     */
    @ApiModelProperty(value="二炼铁2#矿槽底新水补水流量(yww)",required=false)
    private Double tag44;

    @ApiModelProperty(value="",required=false)
    private Double tag46;

    @ApiModelProperty(value="",required=false)
    private Double tag47;

    /**
     * 二焦锅炉房新水总用量(yww)(TAG48,FLOAT,126)
     */
    @ApiModelProperty(value="二焦锅炉房新水总用量(yww)",required=false)
    private Double tag48;

    /**
     * 二洗煤消防水2(wjt)(TAG49,FLOAT,126)
     */
    @ApiModelProperty(value="二洗煤消防水2(wjt)",required=false)
    private Double tag49;

    /**
     * 一洗煤横泉水1(wjt)(TAG50,FLOAT,126)
     */
    @ApiModelProperty(value="一洗煤横泉水1(wjt)",required=false)
    private Double tag50;

    /**
     * 一洗煤横泉水2(wjt)(TAG51,FLOAT,126)
     */
    @ApiModelProperty(value="一洗煤横泉水2(wjt)",required=false)
    private Double tag51;

    /**
     * 二轧钢二高线新水穿水静环流量(yzz)(TAG52,FLOAT,126)
     */
    @ApiModelProperty(value="二轧钢二高线新水穿水静环流量(yzz)",required=false)
    private Double tag52;

    /**
     * 二轧钢二高线软水浊环流量(yzz)(TAG53,FLOAT,126)
     */
    @ApiModelProperty(value="二轧钢二高线软水浊环流量(yzz)",required=false)
    private Double tag53;

    /**
     * 二制氧2万制氧水泵房新水使用量(yzz)(TAG54,FLOAT,126)
     */
    @ApiModelProperty(value="二制氧2万制氧水泵房新水使用量(yzz)",required=false)
    private Double tag54;

    /**
     * 二炼铁高炉软水补水流量(yzz)(TAG55,FLOAT,126)
     */
    @ApiModelProperty(value="二炼铁高炉软水补水流量(yzz)",required=false)
    private Double tag55;

    /**
     * 一轧钢棒材新水使用量(yzz)(TAG56,FLOAT,126)
     */
    @ApiModelProperty(value="一轧钢棒材新水使用量(yzz)",required=false)
    private Double tag56;

    /**
     * 二焦化牛茂忠生产用水新水(yzz)(TAG57,FLOAT,126)
     */
    @ApiModelProperty(value="二焦化牛茂忠生产用水新水(yzz)",required=false)
    private Double tag57;

    /**
     * 二焦生产用水（综合水泵房凉水塔）(yzz)(TAG58,FLOAT,126)
     */
    @ApiModelProperty(value="二焦生产用水（综合水泵房凉水塔）(yzz)",required=false)
    private Double tag58;

    @ApiModelProperty(value="",required=false)
    private Double tag59;

    /**
     * 八万发电厂除盐水自用量(TAG60,FLOAT,126)
     */
    @ApiModelProperty(value="八万发电厂除盐水自用量",required=false)
    private Double tag60;

    /**
     * 一炼钢烤包新水(TAG61,FLOAT,126)
     */
    @ApiModelProperty(value="一炼钢烤包新水",required=false)
    private Double tag61;

    /**
     * 二烧结余热发电机房外新水(TAG62,FLOAT,126)
     */
    @ApiModelProperty(value="二烧结余热发电机房外新水",required=false)
    private Double tag62;

    /**
     * 二烧结余热发电除盐水站新水(TAG63,FLOAT,126)
     */
    @ApiModelProperty(value="二烧结余热发电除盐水站新水",required=false)
    private Double tag63;

    /**
     * 一焦化锅炉房水泵房外新水(TAG64,FLOAT,126)
     */
    @ApiModelProperty(value="一焦化锅炉房水泵房外新水",required=false)
    private Double tag64;

    /**
     * 一炼铁横泉新水补水(TAG65,FLOAT,126)
     */
    @ApiModelProperty(value="一炼铁横泉新水补水",required=false)
    private Double tag65;

    /**
     * 一烧结除盐水去炼钢量(TAG66,FLOAT,126)
     */
    @ApiModelProperty(value="一烧结除盐水去炼钢量",required=false)
    private Double tag66;

    /**
     * 二烧结除盐水去炼钢量(TAG67,FLOAT,126)
     */
    @ApiModelProperty(value="二烧结除盐水去炼钢量",required=false)
    private Double tag67;

    /**
     * 一烧结除盐水产生量(TAG68,FLOAT,126)
     */
    @ApiModelProperty(value="一烧结除盐水产生量",required=false)
    private Double tag68;

    /**
     * 二烧结除盐水产生量(TAG69,FLOAT,126)
     */
    @ApiModelProperty(value="二烧结除盐水产生量",required=false)
    private Double tag69;

    /**
     * 8W发电机组除盐水发生量(供二焦化) (TAG70,FLOAT,126)
     */
    @ApiModelProperty(value="8W发电机组除盐水发生量(供二焦化) ",required=false)
    private Double tag70;

    @ApiModelProperty(value="",required=false)
    private Double tag71;

    @ApiModelProperty(value="",required=false)
    private Double tag72;

    @ApiModelProperty(value="",required=false)
    private Double tag73;

    @ApiModelProperty(value="",required=false)
    private Double tag74;

    @ApiModelProperty(value="",required=false)
    private Double tag75;

    @ApiModelProperty(value="",required=false)
    private Double tag76;

    @ApiModelProperty(value="",required=false)
    private Double tag77;

    @ApiModelProperty(value="",required=false)
    private Double tag78;

    @ApiModelProperty(value="",required=false)
    private Double tag79;

    @ApiModelProperty(value="",required=false)
    private Double tag80;

    @ApiModelProperty(value="",required=false)
    private Double tag81;

    @ApiModelProperty(value="",required=false)
    private Double tag82;

    @ApiModelProperty(value="",required=false)
    private Double tag83;

    @ApiModelProperty(value="",required=false)
    private Double tag84;

    @ApiModelProperty(value="",required=false)
    private Double tag85;

    @ApiModelProperty(value="",required=false)
    private Double tag86;

    @ApiModelProperty(value="",required=false)
    private Double tag87;

    @ApiModelProperty(value="",required=false)
    private Double tag88;

    @ApiModelProperty(value="",required=false)
    private Double tag89;

    @ApiModelProperty(value="",required=false)
    private Double tag90;

    @ApiModelProperty(value="",required=false)
    private Double tag91;

    @ApiModelProperty(value="",required=false)
    private Double tag92;

    @ApiModelProperty(value="",required=false)
    private Double tag93;

    @ApiModelProperty(value="",required=false)
    private Double tag94;

    @ApiModelProperty(value="",required=false)
    private Double tag95;

    @ApiModelProperty(value="",required=false)
    private Double tag96;

    @ApiModelProperty(value="",required=false)
    private Double tag97;

    @ApiModelProperty(value="",required=false)
    private Double tag98;

    @ApiModelProperty(value="",required=false)
    private Double tag99;

    @ApiModelProperty(value="",required=false)
    private Double tag100;
    @ApiModelProperty(value="",required=false)
    private Double tag102;
    @ApiModelProperty(value="",required=false)
    private Double tag103;
    @ApiModelProperty(value="",required=false)
    private Double tag104;
    @ApiModelProperty(value="",required=false)
    private Double tag105;

    /**
     * 8万发电新水使用量(TAG101,FLOAT,126)
     */
    @ApiModelProperty(value="8万发电新水使用量",required=false)
    private Double tag101;

    /**
     * 四五高线新水使用量(TAG45,FLOAT,126)
     */
    @ApiModelProperty(value="四五高线新水使用量",required=false)
    private Double tag45;

    @ApiModelProperty(value="",required=false)
    private Double tag106;

    @ApiModelProperty(value="",required=false)
    private Double tag107;

    @ApiModelProperty(value="",required=false)
    private Double tag108;

    @ApiModelProperty(value="",required=false)
    private Double tag109;

    @ApiModelProperty(value="",required=false)
    private Double tag110;

    @ApiModelProperty(value="",required=false)
    private Double tag111;

    @ApiModelProperty(value="",required=false)
    private Double tag112;

    @ApiModelProperty(value="",required=false)
    private Double tag113;

    @ApiModelProperty(value="",required=false)
    private Double tag114;

    @ApiModelProperty(value="",required=false)
    private Double tag115;

    @ApiModelProperty(value="",required=false)
    private Double tag116;

    @ApiModelProperty(value="",required=false)
    private Double tag117;

    @ApiModelProperty(value="",required=false)
    private Double tag118;

    @ApiModelProperty(value="",required=false)
    private Double tag119;

    @ApiModelProperty(value="",required=false)
    private Double tag120;

    @ApiModelProperty(value="",required=false)
    private Double tag121;

    @ApiModelProperty(value="",required=false)
    private Double tag122;

    @ApiModelProperty(value="",required=false)
    private Double tag123;

    @ApiModelProperty(value="",required=false)
    private Double tag124;

    @ApiModelProperty(value="",required=false)
    private Double tag125;

    @ApiModelProperty(value="",required=false)
    private Double tag126;

    @ApiModelProperty(value="",required=false)
    private Double tag127;

    @ApiModelProperty(value="",required=false)
    private Double tag128;

    @ApiModelProperty(value="",required=false)
    private Double tag129;

    @ApiModelProperty(value="",required=false)
    private Double tag130;

    @ApiModelProperty(value="",required=false)
    private Double tag131;

    @ApiModelProperty(value="",required=false)
    private Double tag132;

    @ApiModelProperty(value="",required=false)
    private Double tag133;

    @ApiModelProperty(value="",required=false)
    private Double tag134;

    @ApiModelProperty(value="",required=false)
    private Double tag135;

    @ApiModelProperty(value="",required=false)
    private Double tag136;

    @ApiModelProperty(value="",required=false)
    private Double tag137;

    @ApiModelProperty(value="",required=false)
    private Double tag138;

    @ApiModelProperty(value="",required=false)
    private Double tag139;

    @ApiModelProperty(value="",required=false)
    private Double tag140;

    @ApiModelProperty(value="",required=false)
    private Double tag141;

    @ApiModelProperty(value="",required=false)
    private Double tag142;

    @ApiModelProperty(value="",required=false)
    private Double tag143;

    @ApiModelProperty(value="",required=false)
    private Double tag144;

    @ApiModelProperty(value="",required=false)
    private Double tag145;

    @ApiModelProperty(value="",required=false)
    private Double tag146;

    @ApiModelProperty(value="",required=false)
    private Double tag147;

    @ApiModelProperty(value="",required=false)
    private Double tag148;

    @ApiModelProperty(value="",required=false)
    private Double tag149;

    @ApiModelProperty(value="",required=false)
    private Double tag150;

    @ApiModelProperty(value="",required=false)
    private Double tag151;

    @ApiModelProperty(value="",required=false)
    private Double tag152;

    @ApiModelProperty(value="",required=false)
    private Double tag153;

    @ApiModelProperty(value="",required=false)
    private Double tag154;

    @ApiModelProperty(value="",required=false)
    private Double tag155;

    @ApiModelProperty(value="",required=false)
    private Double tag156;

    @ApiModelProperty(value="",required=false)
    private Double tag157;

    @ApiModelProperty(value="",required=false)
    private Double tag158;

    @ApiModelProperty(value="",required=false)
    private Double tag159;

    @ApiModelProperty(value="",required=false)
    private Double tag160;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.clock;
    }

    @Override
    public void setId(String clock) {
        this.clock = clock == null ? null : clock.trim();
    }

    public String getClock() {
        return clock;
    }

    public void setClock(String clock) {
        this.clock = clock == null ? null : clock.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public Double getTag1() {
        return tag1;
    }

    public void setTag1(Double tag1) {
        this.tag1 = tag1;
    }

    public Double getTag2() {
        return tag2;
    }

    public void setTag2(Double tag2) {
        this.tag2 = tag2;
    }

    public Double getTag3() {
        return tag3;
    }

    public void setTag3(Double tag3) {
        this.tag3 = tag3;
    }

    public Double getTag4() {
        return tag4;
    }

    public void setTag4(Double tag4) {
        this.tag4 = tag4;
    }

    public Double getTag5() {
        return tag5;
    }

    public void setTag5(Double tag5) {
        this.tag5 = tag5;
    }

    public Double getTag6() {
        return tag6;
    }

    public void setTag6(Double tag6) {
        this.tag6 = tag6;
    }

    public Double getTag7() {
        return tag7;
    }

    public void setTag7(Double tag7) {
        this.tag7 = tag7;
    }

    public Double getTag8() {
        return tag8;
    }

    public void setTag8(Double tag8) {
        this.tag8 = tag8;
    }

    public Double getTag9() {
        return tag9;
    }

    public void setTag9(Double tag9) {
        this.tag9 = tag9;
    }

    public Double getTag10() {
        return tag10;
    }

    public void setTag10(Double tag10) {
        this.tag10 = tag10;
    }

    public Double getTag11() {
        return tag11;
    }

    public void setTag11(Double tag11) {
        this.tag11 = tag11;
    }

    public Double getTag12() {
        return tag12;
    }

    public void setTag12(Double tag12) {
        this.tag12 = tag12;
    }

    public Double getTag13() {
        return tag13;
    }

    public void setTag13(Double tag13) {
        this.tag13 = tag13;
    }

    public Double getTag14() {
        return tag14;
    }

    public void setTag14(Double tag14) {
        this.tag14 = tag14;
    }

    public Double getTag15() {
        return tag15;
    }

    public void setTag15(Double tag15) {
        this.tag15 = tag15;
    }

    public Double getTag16() {
        return tag16;
    }

    public void setTag16(Double tag16) {
        this.tag16 = tag16;
    }

    public Double getTag17() {
        return tag17;
    }

    public void setTag17(Double tag17) {
        this.tag17 = tag17;
    }

    public Double getTag18() {
        return tag18;
    }

    public void setTag18(Double tag18) {
        this.tag18 = tag18;
    }

    public Double getTag19() {
        return tag19;
    }

    public void setTag19(Double tag19) {
        this.tag19 = tag19;
    }

    public Double getTag20() {
        return tag20;
    }

    public void setTag20(Double tag20) {
        this.tag20 = tag20;
    }

    public Double getTag21() {
        return tag21;
    }

    public void setTag21(Double tag21) {
        this.tag21 = tag21;
    }

    public Double getTag22() {
        return tag22;
    }

    public void setTag22(Double tag22) {
        this.tag22 = tag22;
    }

    public Double getTag23() {
        return tag23;
    }

    public void setTag23(Double tag23) {
        this.tag23 = tag23;
    }

    public Double getTag24() {
        return tag24;
    }

    public void setTag24(Double tag24) {
        this.tag24 = tag24;
    }

    public Double getTag25() {
        return tag25;
    }

    public void setTag25(Double tag25) {
        this.tag25 = tag25;
    }

    public Double getTag26() {
        return tag26;
    }

    public void setTag26(Double tag26) {
        this.tag26 = tag26;
    }

    public Double getTag27() {
        return tag27;
    }

    public void setTag27(Double tag27) {
        this.tag27 = tag27;
    }

    public Double getTag28() {
        return tag28;
    }

    public void setTag28(Double tag28) {
        this.tag28 = tag28;
    }

    public Double getTag29() {
        return tag29;
    }

    public void setTag29(Double tag29) {
        this.tag29 = tag29;
    }

    public Double getTag30() {
        return tag30;
    }

    public void setTag30(Double tag30) {
        this.tag30 = tag30;
    }

    public Double getTag31() {
        return tag31;
    }

    public void setTag31(Double tag31) {
        this.tag31 = tag31;
    }

    public Double getTag32() {
        return tag32;
    }

    public void setTag32(Double tag32) {
        this.tag32 = tag32;
    }

    public Double getTag33() {
        return tag33;
    }

    public void setTag33(Double tag33) {
        this.tag33 = tag33;
    }

    public Double getTag34() {
        return tag34;
    }

    public void setTag34(Double tag34) {
        this.tag34 = tag34;
    }

    public Double getTag35() {
        return tag35;
    }

    public void setTag35(Double tag35) {
        this.tag35 = tag35;
    }

    public Double getTag36() {
        return tag36;
    }

    public void setTag36(Double tag36) {
        this.tag36 = tag36;
    }

    public Double getTag37() {
        return tag37;
    }

    public void setTag37(Double tag37) {
        this.tag37 = tag37;
    }

    public Double getTag38() {
        return tag38;
    }

    public void setTag38(Double tag38) {
        this.tag38 = tag38;
    }

    public Double getTag39() {
        return tag39;
    }

    public void setTag39(Double tag39) {
        this.tag39 = tag39;
    }

    public Double getTag40() {
        return tag40;
    }

    public void setTag40(Double tag40) {
        this.tag40 = tag40;
    }

    public Double getTag41() {
        return tag41;
    }

    public void setTag41(Double tag41) {
        this.tag41 = tag41;
    }

    public Double getTag42() {
        return tag42;
    }

    public void setTag42(Double tag42) {
        this.tag42 = tag42;
    }

    public Double getTag43() {
        return tag43;
    }

    public void setTag43(Double tag43) {
        this.tag43 = tag43;
    }

    public Double getTag44() {
        return tag44;
    }

    public void setTag44(Double tag44) {
        this.tag44 = tag44;
    }

    public Double getTag46() {
        return tag46;
    }

    public void setTag46(Double tag46) {
        this.tag46 = tag46;
    }

    public Double getTag47() {
        return tag47;
    }

    public void setTag47(Double tag47) {
        this.tag47 = tag47;
    }

    public Double getTag48() {
        return tag48;
    }

    public void setTag48(Double tag48) {
        this.tag48 = tag48;
    }

    public Double getTag49() {
        return tag49;
    }

    public void setTag49(Double tag49) {
        this.tag49 = tag49;
    }

    public Double getTag50() {
        return tag50;
    }

    public void setTag50(Double tag50) {
        this.tag50 = tag50;
    }

    public Double getTag51() {
        return tag51;
    }

    public void setTag51(Double tag51) {
        this.tag51 = tag51;
    }

    public Double getTag52() {
        return tag52;
    }

    public void setTag52(Double tag52) {
        this.tag52 = tag52;
    }

    public Double getTag53() {
        return tag53;
    }

    public void setTag53(Double tag53) {
        this.tag53 = tag53;
    }

    public Double getTag54() {
        return tag54;
    }

    public void setTag54(Double tag54) {
        this.tag54 = tag54;
    }

    public Double getTag55() {
        return tag55;
    }

    public void setTag55(Double tag55) {
        this.tag55 = tag55;
    }

    public Double getTag56() {
        return tag56;
    }

    public void setTag56(Double tag56) {
        this.tag56 = tag56;
    }

    public Double getTag57() {
        return tag57;
    }

    public void setTag57(Double tag57) {
        this.tag57 = tag57;
    }

    public Double getTag58() {
        return tag58;
    }

    public void setTag58(Double tag58) {
        this.tag58 = tag58;
    }

    public Double getTag59() {
        return tag59;
    }

    public void setTag59(Double tag59) {
        this.tag59 = tag59;
    }

    public Double getTag60() {
        return tag60;
    }

    public void setTag60(Double tag60) {
        this.tag60 = tag60;
    }

    public Double getTag61() {
        return tag61;
    }

    public void setTag61(Double tag61) {
        this.tag61 = tag61;
    }

    public Double getTag62() {
        return tag62;
    }

    public void setTag62(Double tag62) {
        this.tag62 = tag62;
    }

    public Double getTag63() {
        return tag63;
    }

    public void setTag63(Double tag63) {
        this.tag63 = tag63;
    }

    public Double getTag64() {
        return tag64;
    }

    public void setTag64(Double tag64) {
        this.tag64 = tag64;
    }

    public Double getTag65() {
        return tag65;
    }

    public void setTag65(Double tag65) {
        this.tag65 = tag65;
    }

    public Double getTag66() {
        return tag66;
    }

    public void setTag66(Double tag66) {
        this.tag66 = tag66;
    }

    public Double getTag67() {
        return tag67;
    }

    public void setTag67(Double tag67) {
        this.tag67 = tag67;
    }

    public Double getTag68() {
        return tag68;
    }

    public void setTag68(Double tag68) {
        this.tag68 = tag68;
    }

    public Double getTag69() {
        return tag69;
    }

    public void setTag69(Double tag69) {
        this.tag69 = tag69;
    }

    public Double getTag70() {
        return tag70;
    }

    public void setTag70(Double tag70) {
        this.tag70 = tag70;
    }

    public Double getTag71() {
        return tag71;
    }

    public void setTag71(Double tag71) {
        this.tag71 = tag71;
    }

    public Double getTag72() {
        return tag72;
    }

    public void setTag72(Double tag72) {
        this.tag72 = tag72;
    }

    public Double getTag73() {
        return tag73;
    }

    public void setTag73(Double tag73) {
        this.tag73 = tag73;
    }

    public Double getTag74() {
        return tag74;
    }

    public void setTag74(Double tag74) {
        this.tag74 = tag74;
    }

    public Double getTag75() {
        return tag75;
    }

    public void setTag75(Double tag75) {
        this.tag75 = tag75;
    }

    public Double getTag76() {
        return tag76;
    }

    public void setTag76(Double tag76) {
        this.tag76 = tag76;
    }

    public Double getTag77() {
        return tag77;
    }

    public void setTag77(Double tag77) {
        this.tag77 = tag77;
    }

    public Double getTag78() {
        return tag78;
    }

    public void setTag78(Double tag78) {
        this.tag78 = tag78;
    }

    public Double getTag79() {
        return tag79;
    }

    public void setTag79(Double tag79) {
        this.tag79 = tag79;
    }

    public Double getTag80() {
        return tag80;
    }

    public void setTag80(Double tag80) {
        this.tag80 = tag80;
    }

    public Double getTag81() {
        return tag81;
    }

    public void setTag81(Double tag81) {
        this.tag81 = tag81;
    }

    public Double getTag82() {
        return tag82;
    }

    public void setTag82(Double tag82) {
        this.tag82 = tag82;
    }

    public Double getTag83() {
        return tag83;
    }

    public void setTag83(Double tag83) {
        this.tag83 = tag83;
    }

    public Double getTag84() {
        return tag84;
    }

    public void setTag84(Double tag84) {
        this.tag84 = tag84;
    }

    public Double getTag85() {
        return tag85;
    }

    public void setTag85(Double tag85) {
        this.tag85 = tag85;
    }

    public Double getTag86() {
        return tag86;
    }

    public void setTag86(Double tag86) {
        this.tag86 = tag86;
    }

    public Double getTag87() {
        return tag87;
    }

    public void setTag87(Double tag87) {
        this.tag87 = tag87;
    }

    public Double getTag88() {
        return tag88;
    }

    public void setTag88(Double tag88) {
        this.tag88 = tag88;
    }

    public Double getTag89() {
        return tag89;
    }

    public void setTag89(Double tag89) {
        this.tag89 = tag89;
    }

    public Double getTag90() {
        return tag90;
    }

    public void setTag90(Double tag90) {
        this.tag90 = tag90;
    }

    public Double getTag91() {
        return tag91;
    }

    public void setTag91(Double tag91) {
        this.tag91 = tag91;
    }

    public Double getTag92() {
        return tag92;
    }

    public void setTag92(Double tag92) {
        this.tag92 = tag92;
    }

    public Double getTag93() {
        return tag93;
    }

    public void setTag93(Double tag93) {
        this.tag93 = tag93;
    }

    public Double getTag94() {
        return tag94;
    }

    public void setTag94(Double tag94) {
        this.tag94 = tag94;
    }

    public Double getTag95() {
        return tag95;
    }

    public void setTag95(Double tag95) {
        this.tag95 = tag95;
    }

    public Double getTag96() {
        return tag96;
    }

    public void setTag96(Double tag96) {
        this.tag96 = tag96;
    }

    public Double getTag97() {
        return tag97;
    }

    public void setTag97(Double tag97) {
        this.tag97 = tag97;
    }

    public Double getTag98() {
        return tag98;
    }

    public void setTag98(Double tag98) {
        this.tag98 = tag98;
    }

    public Double getTag99() {
        return tag99;
    }

    public void setTag99(Double tag99) {
        this.tag99 = tag99;
    }

    public Double getTag100() {
        return tag100;
    }

    public void setTag100(Double tag100) {
        this.tag100 = tag100;
    }

    public Double getTag101() {
        return tag101;
    }

    public void setTag101(Double tag101) {
        this.tag101 = tag101;
    }

    public Double getTag102() {
        return tag102;
    }

    public void setTag102(Double tag102) {
        this.tag101 = tag102;
    }

    public Double getTag103() {
        return tag103;
    }

    public void setTag103(Double tag103) {
        this.tag101 = tag103;
    }

    public Double getTag104() {
        return tag104;
    }

    public void setTag104(Double tag104) {
        this.tag104 = tag104;
    }

    public Double getTag105() {
        return tag105;
    }

    public void setTag105(Double tag105) {
        this.tag101 = tag105;
    }

    public Double getTag45() {
        return tag45;
    }

    public void setTag45(Double tag45) {
        this.tag45 = tag45;
    }

    public Double getTag106() {
        return tag106;
    }

    public void setTag106(Double tag106) {
        this.tag106 = tag106;
    }

    public Double getTag107() {
        return tag107;
    }

    public void setTag107(Double tag107) {
        this.tag107 = tag107;
    }

    public Double getTag108() {
        return tag108;
    }

    public void setTag108(Double tag108) {
        this.tag108 = tag108;
    }

    public Double getTag109() {
        return tag109;
    }

    public void setTag109(Double tag109) {
        this.tag109 = tag109;
    }

    public Double getTag110() {
        return tag110;
    }

    public void setTag110(Double tag110) {
        this.tag110 = tag110;
    }

    public Double getTag111() {
        return tag111;
    }

    public void setTag111(Double tag111) {
        this.tag111 = tag111;
    }

    public Double getTag112() {
        return tag112;
    }

    public void setTag112(Double tag112) {
        this.tag112 = tag112;
    }

    public Double getTag113() {
        return tag113;
    }

    public void setTag113(Double tag113) {
        this.tag113 = tag113;
    }

    public Double getTag114() {
        return tag114;
    }

    public void setTag114(Double tag114) {
        this.tag114 = tag114;
    }

    public Double getTag115() {
        return tag115;
    }

    public void setTag115(Double tag115) {
        this.tag115 = tag115;
    }

    public Double getTag116() {
        return tag116;
    }

    public void setTag116(Double tag116) {
        this.tag116 = tag116;
    }

    public Double getTag117() {
        return tag117;
    }

    public void setTag117(Double tag117) {
        this.tag117 = tag117;
    }

    public Double getTag118() {
        return tag118;
    }

    public void setTag118(Double tag118) {
        this.tag118 = tag118;
    }

    public Double getTag119() {
        return tag119;
    }

    public void setTag119(Double tag119) {
        this.tag119 = tag119;
    }

    public Double getTag120() {
        return tag120;
    }

    public void setTag120(Double tag120) {
        this.tag120 = tag120;
    }

    public Double getTag121() {
        return tag121;
    }

    public void setTag121(Double tag121) {
        this.tag121 = tag121;
    }

    public Double getTag122() {
        return tag122;
    }

    public void setTag122(Double tag122) {
        this.tag122 = tag122;
    }

    public Double getTag123() {
        return tag123;
    }

    public void setTag123(Double tag123) {
        this.tag123 = tag123;
    }

    public Double getTag124() {
        return tag124;
    }

    public void setTag124(Double tag124) {
        this.tag124 = tag124;
    }

    public Double getTag125() {
        return tag125;
    }

    public void setTag125(Double tag125) {
        this.tag125 = tag125;
    }

    public Double getTag126() {
        return tag126;
    }

    public void setTag126(Double tag126) {
        this.tag126 = tag126;
    }

    public Double getTag127() {
        return tag127;
    }

    public void setTag127(Double tag127) {
        this.tag127 = tag127;
    }

    public Double getTag128() {
        return tag128;
    }

    public void setTag128(Double tag128) {
        this.tag128 = tag128;
    }

    public Double getTag129() {
        return tag129;
    }

    public void setTag129(Double tag129) {
        this.tag129 = tag129;
    }

    public Double getTag130() {
        return tag130;
    }

    public void setTag130(Double tag130) {
        this.tag130 = tag130;
    }

    public Double getTag131() {
        return tag131;
    }

    public void setTag131(Double tag131) {
        this.tag131 = tag131;
    }

    public Double getTag132() {
        return tag132;
    }

    public void setTag132(Double tag132) {
        this.tag132 = tag132;
    }

    public Double getTag133() {
        return tag133;
    }

    public void setTag133(Double tag133) {
        this.tag133 = tag133;
    }

    public Double getTag134() {
        return tag134;
    }

    public void setTag134(Double tag134) {
        this.tag134 = tag134;
    }

    public Double getTag135() {
        return tag135;
    }

    public void setTag135(Double tag135) {
        this.tag135 = tag135;
    }

    public Double getTag136() {
        return tag136;
    }

    public void setTag136(Double tag136) {
        this.tag136 = tag136;
    }

    public Double getTag137() {
        return tag137;
    }

    public void setTag137(Double tag137) {
        this.tag137 = tag137;
    }

    public Double getTag138() {
        return tag138;
    }

    public void setTag138(Double tag138) {
        this.tag138 = tag138;
    }

    public Double getTag139() {
        return tag139;
    }

    public void setTag139(Double tag139) {
        this.tag139 = tag139;
    }

    public Double getTag140() {
        return tag140;
    }

    public void setTag140(Double tag140) {
        this.tag140 = tag140;
    }

    public Double getTag141() {
        return tag141;
    }

    public void setTag141(Double tag141) {
        this.tag141 = tag141;
    }

    public Double getTag142() {
        return tag142;
    }

    public void setTag142(Double tag142) {
        this.tag142 = tag142;
    }

    public Double getTag143() {
        return tag143;
    }

    public void setTag143(Double tag143) {
        this.tag143 = tag143;
    }

    public Double getTag144() {
        return tag144;
    }

    public void setTag144(Double tag144) {
        this.tag144 = tag144;
    }

    public Double getTag145() {
        return tag145;
    }

    public void setTag145(Double tag145) {
        this.tag145 = tag145;
    }

    public Double getTag146() {
        return tag146;
    }

    public void setTag146(Double tag146) {
        this.tag146 = tag146;
    }

    public Double getTag147() {
        return tag147;
    }

    public void setTag147(Double tag147) {
        this.tag147 = tag147;
    }

    public Double getTag148() {
        return tag148;
    }

    public void setTag148(Double tag148) {
        this.tag148 = tag148;
    }

    public Double getTag149() {
        return tag149;
    }

    public void setTag149(Double tag149) {
        this.tag149 = tag149;
    }

    public Double getTag150() {
        return tag150;
    }

    public void setTag150(Double tag150) {
        this.tag150 = tag150;
    }

    public Double getTag151() {
        return tag151;
    }

    public void setTag151(Double tag151) {
        this.tag151 = tag151;
    }

    public Double getTag152() {
        return tag152;
    }

    public void setTag152(Double tag152) {
        this.tag152 = tag152;
    }

    public Double getTag153() {
        return tag153;
    }

    public void setTag153(Double tag153) {
        this.tag153 = tag153;
    }

    public Double getTag154() {
        return tag154;
    }

    public void setTag154(Double tag154) {
        this.tag154 = tag154;
    }

    public Double getTag155() {
        return tag155;
    }

    public void setTag155(Double tag155) {
        this.tag155 = tag155;
    }

    public Double getTag156() {
        return tag156;
    }

    public void setTag156(Double tag156) {
        this.tag156 = tag156;
    }

    public Double getTag157() {
        return tag157;
    }

    public void setTag157(Double tag157) {
        this.tag157 = tag157;
    }

    public Double getTag158() {
        return tag158;
    }

    public void setTag158(Double tag158) {
        this.tag158 = tag158;
    }

    public Double getTag159() {
        return tag159;
    }

    public void setTag159(Double tag159) {
        this.tag159 = tag159;
    }

    public Double getTag160() {
        return tag160;
    }

    public void setTag160(Double tag160) {
        this.tag160 = tag160;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", clock=").append(clock);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", tag1=").append(tag1);
        sb.append(", tag2=").append(tag2);
        sb.append(", tag3=").append(tag3);
        sb.append(", tag4=").append(tag4);
        sb.append(", tag5=").append(tag5);
        sb.append(", tag6=").append(tag6);
        sb.append(", tag7=").append(tag7);
        sb.append(", tag8=").append(tag8);
        sb.append(", tag9=").append(tag9);
        sb.append(", tag10=").append(tag10);
        sb.append(", tag11=").append(tag11);
        sb.append(", tag12=").append(tag12);
        sb.append(", tag13=").append(tag13);
        sb.append(", tag14=").append(tag14);
        sb.append(", tag15=").append(tag15);
        sb.append(", tag16=").append(tag16);
        sb.append(", tag17=").append(tag17);
        sb.append(", tag18=").append(tag18);
        sb.append(", tag19=").append(tag19);
        sb.append(", tag20=").append(tag20);
        sb.append(", tag21=").append(tag21);
        sb.append(", tag22=").append(tag22);
        sb.append(", tag23=").append(tag23);
        sb.append(", tag24=").append(tag24);
        sb.append(", tag25=").append(tag25);
        sb.append(", tag26=").append(tag26);
        sb.append(", tag27=").append(tag27);
        sb.append(", tag28=").append(tag28);
        sb.append(", tag29=").append(tag29);
        sb.append(", tag30=").append(tag30);
        sb.append(", tag31=").append(tag31);
        sb.append(", tag32=").append(tag32);
        sb.append(", tag33=").append(tag33);
        sb.append(", tag34=").append(tag34);
        sb.append(", tag35=").append(tag35);
        sb.append(", tag36=").append(tag36);
        sb.append(", tag37=").append(tag37);
        sb.append(", tag38=").append(tag38);
        sb.append(", tag39=").append(tag39);
        sb.append(", tag40=").append(tag40);
        sb.append(", tag41=").append(tag41);
        sb.append(", tag42=").append(tag42);
        sb.append(", tag43=").append(tag43);
        sb.append(", tag44=").append(tag44);
        sb.append(", tag46=").append(tag46);
        sb.append(", tag47=").append(tag47);
        sb.append(", tag48=").append(tag48);
        sb.append(", tag49=").append(tag49);
        sb.append(", tag50=").append(tag50);
        sb.append(", tag51=").append(tag51);
        sb.append(", tag52=").append(tag52);
        sb.append(", tag53=").append(tag53);
        sb.append(", tag54=").append(tag54);
        sb.append(", tag55=").append(tag55);
        sb.append(", tag56=").append(tag56);
        sb.append(", tag57=").append(tag57);
        sb.append(", tag58=").append(tag58);
        sb.append(", tag59=").append(tag59);
        sb.append(", tag60=").append(tag60);
        sb.append(", tag61=").append(tag61);
        sb.append(", tag62=").append(tag62);
        sb.append(", tag63=").append(tag63);
        sb.append(", tag64=").append(tag64);
        sb.append(", tag65=").append(tag65);
        sb.append(", tag66=").append(tag66);
        sb.append(", tag67=").append(tag67);
        sb.append(", tag68=").append(tag68);
        sb.append(", tag69=").append(tag69);
        sb.append(", tag70=").append(tag70);
        sb.append(", tag71=").append(tag71);
        sb.append(", tag72=").append(tag72);
        sb.append(", tag73=").append(tag73);
        sb.append(", tag74=").append(tag74);
        sb.append(", tag75=").append(tag75);
        sb.append(", tag76=").append(tag76);
        sb.append(", tag77=").append(tag77);
        sb.append(", tag78=").append(tag78);
        sb.append(", tag79=").append(tag79);
        sb.append(", tag80=").append(tag80);
        sb.append(", tag81=").append(tag81);
        sb.append(", tag82=").append(tag82);
        sb.append(", tag83=").append(tag83);
        sb.append(", tag84=").append(tag84);
        sb.append(", tag85=").append(tag85);
        sb.append(", tag86=").append(tag86);
        sb.append(", tag87=").append(tag87);
        sb.append(", tag88=").append(tag88);
        sb.append(", tag89=").append(tag89);
        sb.append(", tag90=").append(tag90);
        sb.append(", tag91=").append(tag91);
        sb.append(", tag92=").append(tag92);
        sb.append(", tag93=").append(tag93);
        sb.append(", tag94=").append(tag94);
        sb.append(", tag95=").append(tag95);
        sb.append(", tag96=").append(tag96);
        sb.append(", tag97=").append(tag97);
        sb.append(", tag98=").append(tag98);
        sb.append(", tag99=").append(tag99);
        sb.append(", tag100=").append(tag100);
        sb.append(", tag101=").append(tag101);
        sb.append(", tag45=").append(tag45);
        sb.append(", tag102=").append(tag102);
        sb.append(", tag103=").append(tag103);
        sb.append(", tag104=").append(tag104);
        sb.append(", tag105=").append(tag105);
        sb.append(", tag106=").append(tag106);
        sb.append(", tag107=").append(tag107);
        sb.append(", tag108=").append(tag108);
        sb.append(", tag109=").append(tag109);
        sb.append(", tag110=").append(tag110);
        sb.append(", tag111=").append(tag111);
        sb.append(", tag112=").append(tag112);
        sb.append(", tag113=").append(tag113);
        sb.append(", tag114=").append(tag114);
        sb.append(", tag115=").append(tag115);
        sb.append(", tag116=").append(tag116);
        sb.append(", tag117=").append(tag117);
        sb.append(", tag118=").append(tag118);
        sb.append(", tag119=").append(tag119);
        sb.append(", tag120=").append(tag120);
        sb.append(", tag121=").append(tag121);
        sb.append(", tag122=").append(tag122);
        sb.append(", tag123=").append(tag123);
        sb.append(", tag124=").append(tag124);
        sb.append(", tag125=").append(tag125);
        sb.append(", tag126=").append(tag126);
        sb.append(", tag127=").append(tag127);
        sb.append(", tag128=").append(tag128);
        sb.append(", tag129=").append(tag129);
        sb.append(", tag130=").append(tag130);
        sb.append(", tag131=").append(tag131);
        sb.append(", tag132=").append(tag132);
        sb.append(", tag133=").append(tag133);
        sb.append(", tag134=").append(tag134);
        sb.append(", tag135=").append(tag135);
        sb.append(", tag136=").append(tag136);
        sb.append(", tag137=").append(tag137);
        sb.append(", tag138=").append(tag138);
        sb.append(", tag139=").append(tag139);
        sb.append(", tag140=").append(tag140);
        sb.append(", tag141=").append(tag141);
        sb.append(", tag142=").append(tag142);
        sb.append(", tag143=").append(tag143);
        sb.append(", tag144=").append(tag144);
        sb.append(", tag145=").append(tag145);
        sb.append(", tag146=").append(tag146);
        sb.append(", tag147=").append(tag147);
        sb.append(", tag148=").append(tag148);
        sb.append(", tag149=").append(tag149);
        sb.append(", tag150=").append(tag150);
        sb.append(", tag151=").append(tag151);
        sb.append(", tag152=").append(tag152);
        sb.append(", tag153=").append(tag153);
        sb.append(", tag154=").append(tag154);
        sb.append(", tag155=").append(tag155);
        sb.append(", tag156=").append(tag156);
        sb.append(", tag157=").append(tag157);
        sb.append(", tag158=").append(tag158);
        sb.append(", tag159=").append(tag159);
        sb.append(", tag160=").append(tag160);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
    
    /**
     * 更新对象属性
     * @param val 值：14732.05
     * @param tag 字段
     * @return
     */
    public void setVal(Double val, String tag) {
		if (tag.equalsIgnoreCase("tag1")) {
			this.setTag1(val);
		} else if (tag.equalsIgnoreCase("tag2")) {
			this.setTag2(val);
		} else if (tag.equalsIgnoreCase("tag3")) {
			this.setTag3(val);
		} else if (tag.equalsIgnoreCase("tag4")) {
			this.setTag4(val);
		} else if (tag.equalsIgnoreCase("tag5")) {
			this.setTag5(val);
		} else if (tag.equalsIgnoreCase("tag6")) {
			this.setTag6(val);
		} else if (tag.equalsIgnoreCase("tag7")) {
			this.setTag7(val);
		} else if (tag.equalsIgnoreCase("tag8")) {
			this.setTag8(val);
		} else if (tag.equalsIgnoreCase("tag9")) {
			this.setTag9(val);
		} else if (tag.equalsIgnoreCase("tag10")) {
			this.setTag10(val);
		} else if (tag.equalsIgnoreCase("tag11")) {
			this.setTag11(val);
		} else if (tag.equalsIgnoreCase("tag12")) {
			this.setTag12(val);
		} else if (tag.equalsIgnoreCase("tag13")) {
			this.setTag13(val);
		} else if (tag.equalsIgnoreCase("tag14")) {
			this.setTag14(val);
		} else if (tag.equalsIgnoreCase("tag15")) {
			this.setTag15(val);
		} else if (tag.equalsIgnoreCase("tag16")) {
			this.setTag16(val);
		} else if (tag.equalsIgnoreCase("tag17")) {
			this.setTag17(val);
		} else if (tag.equalsIgnoreCase("tag18")) {
			this.setTag18(val);
		} else if (tag.equalsIgnoreCase("tag19")) {
			this.setTag19(val);
		} else if (tag.equalsIgnoreCase("tag20")) {
			this.setTag20(val);
		} else if (tag.equalsIgnoreCase("tag21")) {
			this.setTag21(val);
		} else if (tag.equalsIgnoreCase("tag22")) {
			this.setTag22(val);
		} else if (tag.equalsIgnoreCase("tag23")) {
			this.setTag23(val);
		} else if (tag.equalsIgnoreCase("tag24")) {
			this.setTag24(val);
		} else if (tag.equalsIgnoreCase("tag25")) {
			this.setTag25(val);
		} else if (tag.equalsIgnoreCase("tag26")) {
			this.setTag26(val);
		} else if (tag.equalsIgnoreCase("tag27")) {
			this.setTag27(val);
		} else if (tag.equalsIgnoreCase("tag28")) {
			this.setTag28(val);
		} else if (tag.equalsIgnoreCase("tag29")) {
			this.setTag29(val);
		} else if (tag.equalsIgnoreCase("tag30")) {
			this.setTag30(val);
		} else if (tag.equalsIgnoreCase("tag31")) {
			this.setTag31(val);
		} else if (tag.equalsIgnoreCase("tag32")) {
			this.setTag32(val);
		} else if (tag.equalsIgnoreCase("tag33")) {
			this.setTag33(val);
		} else if (tag.equalsIgnoreCase("tag34")) {
			this.setTag34(val);
		} else if (tag.equalsIgnoreCase("tag35")) {
			this.setTag35(val);
		} else if (tag.equalsIgnoreCase("tag36")) {
			this.setTag36(val);
		} else if (tag.equalsIgnoreCase("tag37")) {
			this.setTag37(val);
		} else if (tag.equalsIgnoreCase("tag38")) {
			this.setTag38(val);
		} else if (tag.equalsIgnoreCase("tag39")) {
			this.setTag39(val);
		} else if (tag.equalsIgnoreCase("tag40")) {
			this.setTag40(val);
		} else if (tag.equalsIgnoreCase("tag41")) {
			this.setTag41(val);
		} else if (tag.equalsIgnoreCase("tag42")) {
			this.setTag42(val);
		} else if (tag.equalsIgnoreCase("tag43")) {
			this.setTag43(val);
		} else if (tag.equalsIgnoreCase("tag44")) {
			this.setTag44(val);
		} else if (tag.equalsIgnoreCase("tag45")) {
			this.setTag45(val);
		} else if (tag.equalsIgnoreCase("tag46")) {
			this.setTag46(val);
		} else if (tag.equalsIgnoreCase("tag47")) {
			this.setTag47(val);
		} else if (tag.equalsIgnoreCase("tag48")) {
			this.setTag48(val);
		} else if (tag.equalsIgnoreCase("tag49")) {
			this.setTag49(val);
		} else if (tag.equalsIgnoreCase("tag50")) {
			this.setTag50(val);
		} else if (tag.equalsIgnoreCase("tag51")) {
			this.setTag51(val);
		} else if (tag.equalsIgnoreCase("tag52")) {
			this.setTag52(val);
		} else if (tag.equalsIgnoreCase("tag53")) {
			this.setTag53(val);
		} else if (tag.equalsIgnoreCase("tag54")) {
			this.setTag54(val);
		} else if (tag.equalsIgnoreCase("tag55")) {
			this.setTag55(val);
		} else if (tag.equalsIgnoreCase("tag56")) {
			this.setTag56(val);
		} else if (tag.equalsIgnoreCase("tag57")) {
			this.setTag57(val);
		} else if (tag.equalsIgnoreCase("tag58")) {
			this.setTag58(val);
		} else if (tag.equalsIgnoreCase("tag59")) {
			this.setTag59(val);
		} else if (tag.equalsIgnoreCase("tag60")) {
			this.setTag60(val);
		} else if (tag.equalsIgnoreCase("tag61")) {
			this.setTag61(val);
		} else if (tag.equalsIgnoreCase("tag62")) {
			this.setTag62(val);
		} else if (tag.equalsIgnoreCase("tag63")) {
			this.setTag63(val);
		} else if (tag.equalsIgnoreCase("tag64")) {
			this.setTag64(val);
		} else if (tag.equalsIgnoreCase("tag65")) {
			this.setTag65(val);
		} else if (tag.equalsIgnoreCase("tag66")) {
			this.setTag66(val);
		} else if (tag.equalsIgnoreCase("tag67")) {
			this.setTag67(val);
		} else if (tag.equalsIgnoreCase("tag68")) {
			this.setTag68(val);
		} else if (tag.equalsIgnoreCase("tag69")) {
			this.setTag69(val);
		} else if (tag.equalsIgnoreCase("tag70")) {
			this.setTag70(val);
		} else if (tag.equalsIgnoreCase("tag71")) {
			this.setTag71(val);
		} else if (tag.equalsIgnoreCase("tag72")) {
			this.setTag72(val);
		} else if (tag.equalsIgnoreCase("tag73")) {
			this.setTag73(val);
		} else if (tag.equalsIgnoreCase("tag74")) {
			this.setTag74(val);
		} else if (tag.equalsIgnoreCase("tag75")) {
			this.setTag75(val);
		} else if (tag.equalsIgnoreCase("tag76")) {
			this.setTag76(val);
		} else if (tag.equalsIgnoreCase("tag77")) {
			this.setTag77(val);
		} else if (tag.equalsIgnoreCase("tag78")) {
			this.setTag78(val);
		} else if (tag.equalsIgnoreCase("tag79")) {
			this.setTag79(val);
		} else if (tag.equalsIgnoreCase("tag80")) {
			this.setTag80(val);
		} else if (tag.equalsIgnoreCase("tag81")) {
			this.setTag81(val);
		} else if (tag.equalsIgnoreCase("tag82")) {
			this.setTag82(val);
		} else if (tag.equalsIgnoreCase("tag83")) {
			this.setTag83(val);
		} else if (tag.equalsIgnoreCase("tag84")) {
			this.setTag84(val);
		} else if (tag.equalsIgnoreCase("tag85")) {
			this.setTag85(val);
		} else if (tag.equalsIgnoreCase("tag86")) {
			this.setTag86(val);
		} else if (tag.equalsIgnoreCase("tag87")) {
			this.setTag87(val);
		} else if (tag.equalsIgnoreCase("tag88")) {
			this.setTag88(val);
		} else if (tag.equalsIgnoreCase("tag89")) {
			this.setTag89(val);
		} else if (tag.equalsIgnoreCase("tag90")) {
			this.setTag90(val);
		} else if (tag.equalsIgnoreCase("tag91")) {
			this.setTag91(val);
		} else if (tag.equalsIgnoreCase("tag92")) {
			this.setTag92(val);
		} else if (tag.equalsIgnoreCase("tag93")) {
			this.setTag93(val);
		} else if (tag.equalsIgnoreCase("tag94")) {
			this.setTag94(val);
		} else if (tag.equalsIgnoreCase("tag95")) {
			this.setTag95(val);
		} else if (tag.equalsIgnoreCase("tag96")) {
			this.setTag96(val);
		} else if (tag.equalsIgnoreCase("tag97")) {
			this.setTag97(val);
		} else if (tag.equalsIgnoreCase("tag98")) {
			this.setTag98(val);
		} else if (tag.equalsIgnoreCase("tag99")) {
			this.setTag99(val);
		} else if (tag.equalsIgnoreCase("tag100")) {
			this.setTag100(val);
		} else if (tag.equalsIgnoreCase("tag101")) {
			this.setTag101(val);
		} else if (tag.equalsIgnoreCase("tag102")) {
            this.setTag102(val);
        } else if (tag.equalsIgnoreCase("tag103")) {
            this.setTag103(val);
        } else if (tag.equalsIgnoreCase("tag104")) {
            this.setTag104(val);
        } else if (tag.equalsIgnoreCase("tag105")) {
            this.setTag105(val);
        } else if (tag.equalsIgnoreCase("tag106")) { this.setTag106(val);        }
        else if (tag.equalsIgnoreCase("tag107")) { this.setTag107(val);        }
        else if (tag.equalsIgnoreCase("tag108")) { this.setTag108(val);        }
        else if (tag.equalsIgnoreCase("tag109")) { this.setTag109(val);        }
        else if (tag.equalsIgnoreCase("tag110")) { this.setTag110(val);        }
        else if (tag.equalsIgnoreCase("tag111")) { this.setTag111(val);        }
        else if (tag.equalsIgnoreCase("tag112")) { this.setTag112(val);        }
        else if (tag.equalsIgnoreCase("tag113")) { this.setTag113(val);        }
        else if (tag.equalsIgnoreCase("tag114")) { this.setTag114(val);        }
        else if (tag.equalsIgnoreCase("tag115")) { this.setTag115(val);        }
        else if (tag.equalsIgnoreCase("tag116")) { this.setTag116(val);        }
        else if (tag.equalsIgnoreCase("tag117")) { this.setTag117(val);        }
        else if (tag.equalsIgnoreCase("tag118")) { this.setTag118(val);        }
        else if (tag.equalsIgnoreCase("tag119")) { this.setTag119(val);        }
        else if (tag.equalsIgnoreCase("tag120")) { this.setTag120(val);        }
        else if (tag.equalsIgnoreCase("tag121")) { this.setTag121(val);        }
        else if (tag.equalsIgnoreCase("tag122")) { this.setTag122(val);        }
        else if (tag.equalsIgnoreCase("tag123")) { this.setTag123(val);        }
        else if (tag.equalsIgnoreCase("tag124")) { this.setTag124(val);        }
        else if (tag.equalsIgnoreCase("tag125")) { this.setTag125(val);        }
        else if (tag.equalsIgnoreCase("tag126")) { this.setTag126(val);        }
        else if (tag.equalsIgnoreCase("tag127")) { this.setTag127(val);        }
        else if (tag.equalsIgnoreCase("tag128")) { this.setTag128(val);        }
        else if (tag.equalsIgnoreCase("tag129")) { this.setTag129(val);        }
        else if (tag.equalsIgnoreCase("tag130")) { this.setTag130(val);        }
        else if (tag.equalsIgnoreCase("tag131")) { this.setTag131(val);        }
        else if (tag.equalsIgnoreCase("tag132")) { this.setTag132(val);        }
        else if (tag.equalsIgnoreCase("tag133")) { this.setTag133(val);        }
        else if (tag.equalsIgnoreCase("tag134")) { this.setTag134(val);        }
        else if (tag.equalsIgnoreCase("tag135")) { this.setTag135(val);        }
        else if (tag.equalsIgnoreCase("tag136")) { this.setTag136(val);        }
        else if (tag.equalsIgnoreCase("tag137")) { this.setTag137(val);        }
        else if (tag.equalsIgnoreCase("tag138")) { this.setTag138(val);        }
        else if (tag.equalsIgnoreCase("tag139")) { this.setTag139(val);        }
        else if (tag.equalsIgnoreCase("tag140")) { this.setTag140(val);        }
        else if (tag.equalsIgnoreCase("tag141")) { this.setTag141(val);        }
        else if (tag.equalsIgnoreCase("tag142")) { this.setTag142(val);        }
        else if (tag.equalsIgnoreCase("tag143")) { this.setTag143(val);        }
        else if (tag.equalsIgnoreCase("tag144")) { this.setTag144(val);        }
        else if (tag.equalsIgnoreCase("tag145")) { this.setTag145(val);        }
        else if (tag.equalsIgnoreCase("tag146")) { this.setTag146(val);        }
        else if (tag.equalsIgnoreCase("tag147")) { this.setTag147(val);        }
        else if (tag.equalsIgnoreCase("tag148")) { this.setTag148(val);        }
        else if (tag.equalsIgnoreCase("tag149")) { this.setTag149(val);        }
        else if (tag.equalsIgnoreCase("tag150")) { this.setTag150(val);        }
        else if (tag.equalsIgnoreCase("tag151")) { this.setTag151(val);        }
        else if (tag.equalsIgnoreCase("tag152")) { this.setTag152(val);        }
        else if (tag.equalsIgnoreCase("tag153")) { this.setTag153(val);        }
        else if (tag.equalsIgnoreCase("tag154")) { this.setTag154(val);        }
        else if (tag.equalsIgnoreCase("tag155")) { this.setTag155(val);        }
        else if (tag.equalsIgnoreCase("tag156")) { this.setTag156(val);        }
        else if (tag.equalsIgnoreCase("tag157")) { this.setTag157(val);        }
        else if (tag.equalsIgnoreCase("tag158")) { this.setTag158(val);        }
        else if (tag.equalsIgnoreCase("tag159")) { this.setTag159(val);        }
        else if (tag.equalsIgnoreCase("tag160")) { this.setTag160(val);        }
    }
    
    /**
     * 读取属性值
     * @param tag 字段
     * @return
     */
    public Double getVal(String tag) {
		if (tag.equalsIgnoreCase("tag1")) {
			return this.getTag1();
		} else if (tag.equalsIgnoreCase("tag2")) {
			return this.getTag2();
		} else if (tag.equalsIgnoreCase("tag3")) {
			return this.getTag3();
		} else if (tag.equalsIgnoreCase("tag4")) {
			return this.getTag4();
		} else if (tag.equalsIgnoreCase("tag5")) {
			return this.getTag5();
		} else if (tag.equalsIgnoreCase("tag6")) {
			return this.getTag6();
		} else if (tag.equalsIgnoreCase("tag7")) {
			return this.getTag7();
		} else if (tag.equalsIgnoreCase("tag8")) {
			return this.getTag8();
		} else if (tag.equalsIgnoreCase("tag9")) {
			return this.getTag9();
		} else if (tag.equalsIgnoreCase("tag10")) {
			return this.getTag10();
		} else if (tag.equalsIgnoreCase("tag11")) {
			return this.getTag11();
		} else if (tag.equalsIgnoreCase("tag12")) {
			return this.getTag12();
		} else if (tag.equalsIgnoreCase("tag13")) {
			return this.getTag13();
		} else if (tag.equalsIgnoreCase("tag14")) {
			return this.getTag14();
		} else if (tag.equalsIgnoreCase("tag15")) {
			return this.getTag15();
		} else if (tag.equalsIgnoreCase("tag16")) {
			return this.getTag16();
		} else if (tag.equalsIgnoreCase("tag17")) {
			return this.getTag17();
		} else if (tag.equalsIgnoreCase("tag18")) {
			return this.getTag18();
		} else if (tag.equalsIgnoreCase("tag19")) {
			return this.getTag19();
		} else if (tag.equalsIgnoreCase("tag20")) {
			return this.getTag20();
		} else if (tag.equalsIgnoreCase("tag21")) {
			return this.getTag21();
		} else if (tag.equalsIgnoreCase("tag22")) {
			return this.getTag22();
		} else if (tag.equalsIgnoreCase("tag23")) {
			return this.getTag23();
		} else if (tag.equalsIgnoreCase("tag24")) {
			return this.getTag24();
		} else if (tag.equalsIgnoreCase("tag25")) {
			return this.getTag25();
		} else if (tag.equalsIgnoreCase("tag26")) {
			return this.getTag26();
		} else if (tag.equalsIgnoreCase("tag27")) {
			return this.getTag27();
		} else if (tag.equalsIgnoreCase("tag28")) {
			return this.getTag28();
		} else if (tag.equalsIgnoreCase("tag29")) {
			return this.getTag29();
		} else if (tag.equalsIgnoreCase("tag30")) {
			return this.getTag30();
		} else if (tag.equalsIgnoreCase("tag31")) {
			return this.getTag31();
		} else if (tag.equalsIgnoreCase("tag32")) {
			return this.getTag32();
		} else if (tag.equalsIgnoreCase("tag33")) {
			return this.getTag33();
		} else if (tag.equalsIgnoreCase("tag34")) {
			return this.getTag34();
		} else if (tag.equalsIgnoreCase("tag35")) {
			return this.getTag35();
		} else if (tag.equalsIgnoreCase("tag36")) {
			return this.getTag36();
		} else if (tag.equalsIgnoreCase("tag37")) {
			return this.getTag37();
		} else if (tag.equalsIgnoreCase("tag38")) {
			return this.getTag38();
		} else if (tag.equalsIgnoreCase("tag39")) {
			return this.getTag39();
		} else if (tag.equalsIgnoreCase("tag40")) {
			return this.getTag40();
		} else if (tag.equalsIgnoreCase("tag41")) {
			return this.getTag41();
		} else if (tag.equalsIgnoreCase("tag42")) {
			return this.getTag42();
		} else if (tag.equalsIgnoreCase("tag43")) {
			return this.getTag43();
		} else if (tag.equalsIgnoreCase("tag44")) {
			return this.getTag44();
		} else if (tag.equalsIgnoreCase("tag45")) {
			return this.getTag45();
		} else if (tag.equalsIgnoreCase("tag46")) {
			return this.getTag46();
		} else if (tag.equalsIgnoreCase("tag47")) {
			return this.getTag47();
		} else if (tag.equalsIgnoreCase("tag48")) {
			return this.getTag48();
		} else if (tag.equalsIgnoreCase("tag49")) {
			return this.getTag49();
		} else if (tag.equalsIgnoreCase("tag50")) {
			return this.getTag50();
		} else if (tag.equalsIgnoreCase("tag51")) {
			return this.getTag51();
		} else if (tag.equalsIgnoreCase("tag52")) {
			return this.getTag52();
		} else if (tag.equalsIgnoreCase("tag53")) {
			return this.getTag53();
		} else if (tag.equalsIgnoreCase("tag54")) {
			return this.getTag54();
		} else if (tag.equalsIgnoreCase("tag55")) {
			return this.getTag55();
		} else if (tag.equalsIgnoreCase("tag56")) {
			return this.getTag56();
		} else if (tag.equalsIgnoreCase("tag57")) {
			return this.getTag57();
		} else if (tag.equalsIgnoreCase("tag58")) {
			return this.getTag58();
		} else if (tag.equalsIgnoreCase("tag59")) {
			return this.getTag59();
		} else if (tag.equalsIgnoreCase("tag60")) {
			return this.getTag60();
		} else if (tag.equalsIgnoreCase("tag61")) {
			return this.getTag61();
		} else if (tag.equalsIgnoreCase("tag62")) {
			return this.getTag62();
		} else if (tag.equalsIgnoreCase("tag63")) {
			return this.getTag63();
		} else if (tag.equalsIgnoreCase("tag64")) {
			return this.getTag64();
		} else if (tag.equalsIgnoreCase("tag65")) {
			return this.getTag65();
		} else if (tag.equalsIgnoreCase("tag66")) {
			return this.getTag66();
		} else if (tag.equalsIgnoreCase("tag67")) {
			return this.getTag67();
		} else if (tag.equalsIgnoreCase("tag68")) {
			return this.getTag68();
		} else if (tag.equalsIgnoreCase("tag69")) {
			return this.getTag69();
		} else if (tag.equalsIgnoreCase("tag70")) {
			return this.getTag70();
		} else if (tag.equalsIgnoreCase("tag71")) {
			return this.getTag71();
		} else if (tag.equalsIgnoreCase("tag72")) {
			return this.getTag72();
		} else if (tag.equalsIgnoreCase("tag73")) {
			return this.getTag73();
		} else if (tag.equalsIgnoreCase("tag74")) {
			return this.getTag74();
		} else if (tag.equalsIgnoreCase("tag75")) {
			return this.getTag75();
		} else if (tag.equalsIgnoreCase("tag76")) {
			return this.getTag76();
		} else if (tag.equalsIgnoreCase("tag77")) {
			return this.getTag77();
		} else if (tag.equalsIgnoreCase("tag78")) {
			return this.getTag78();
		} else if (tag.equalsIgnoreCase("tag79")) {
			return this.getTag79();
		} else if (tag.equalsIgnoreCase("tag80")) {
			return this.getTag80();
		} else if (tag.equalsIgnoreCase("tag81")) {
			return this.getTag81();
		} else if (tag.equalsIgnoreCase("tag82")) {
			return this.getTag82();
		} else if (tag.equalsIgnoreCase("tag83")) {
			return this.getTag83();
		} else if (tag.equalsIgnoreCase("tag84")) {
			return this.getTag84();
		} else if (tag.equalsIgnoreCase("tag85")) {
			return this.getTag85();
		} else if (tag.equalsIgnoreCase("tag86")) {
			return this.getTag86();
		} else if (tag.equalsIgnoreCase("tag87")) {
			return this.getTag87();
		} else if (tag.equalsIgnoreCase("tag88")) {
			return this.getTag88();
		} else if (tag.equalsIgnoreCase("tag89")) {
			return this.getTag89();
		} else if (tag.equalsIgnoreCase("tag90")) {
			return this.getTag90();
		} else if (tag.equalsIgnoreCase("tag91")) {
			return this.getTag91();
		} else if (tag.equalsIgnoreCase("tag92")) {
			return this.getTag92();
		} else if (tag.equalsIgnoreCase("tag93")) {
			return this.getTag93();
		} else if (tag.equalsIgnoreCase("tag94")) {
			return this.getTag94();
		} else if (tag.equalsIgnoreCase("tag95")) {
			return this.getTag95();
		} else if (tag.equalsIgnoreCase("tag96")) {
			return this.getTag96();
		} else if (tag.equalsIgnoreCase("tag97")) {
			return this.getTag97();
		} else if (tag.equalsIgnoreCase("tag98")) {
			return this.getTag98();
		} else if (tag.equalsIgnoreCase("tag99")) {
			return this.getTag99();
		} else if (tag.equalsIgnoreCase("tag100")) {
			return this.getTag100();
		} else if (tag.equalsIgnoreCase("tag101")) {
			return this.getTag101();
		} else if (tag.equalsIgnoreCase("tag102")) {
            return this.getTag102();
        } else if (tag.equalsIgnoreCase("tag103")) {
            return this.getTag103();
        } else if (tag.equalsIgnoreCase("tag104")) {
            return this.getTag104();
        } else if (tag.equalsIgnoreCase("tag105")) {
            return this.getTag105();
        } else if (tag.equalsIgnoreCase("tag106")) {  return this.getTag106();        }
        else if (tag.equalsIgnoreCase("tag107")) {  return this.getTag107();        }
        else if (tag.equalsIgnoreCase("tag108")) {  return this.getTag108();        }
        else if (tag.equalsIgnoreCase("tag109")) {  return this.getTag109();        }
        else if (tag.equalsIgnoreCase("tag110")) {  return this.getTag110();        }
        else if (tag.equalsIgnoreCase("tag111")) {  return this.getTag111();        }
        else if (tag.equalsIgnoreCase("tag112")) {  return this.getTag112();        }
        else if (tag.equalsIgnoreCase("tag113")) {  return this.getTag113();        }
        else if (tag.equalsIgnoreCase("tag114")) {  return this.getTag114();        }
        else if (tag.equalsIgnoreCase("tag115")) {  return this.getTag115();        }
        else if (tag.equalsIgnoreCase("tag116")) {  return this.getTag116();        }
        else if (tag.equalsIgnoreCase("tag117")) {  return this.getTag117();        }
        else if (tag.equalsIgnoreCase("tag118")) {  return this.getTag118();        }
        else if (tag.equalsIgnoreCase("tag119")) {  return this.getTag119();        }
        else if (tag.equalsIgnoreCase("tag120")) {  return this.getTag120();        }
        else if (tag.equalsIgnoreCase("tag121")) {  return this.getTag121();        }
        else if (tag.equalsIgnoreCase("tag122")) {  return this.getTag122();        }
        else if (tag.equalsIgnoreCase("tag123")) {  return this.getTag123();        }
        else if (tag.equalsIgnoreCase("tag124")) {  return this.getTag124();        }
        else if (tag.equalsIgnoreCase("tag125")) {  return this.getTag125();        }
        else if (tag.equalsIgnoreCase("tag126")) {  return this.getTag126();        }
        else if (tag.equalsIgnoreCase("tag127")) {  return this.getTag127();        }
        else if (tag.equalsIgnoreCase("tag128")) {  return this.getTag128();        }
        else if (tag.equalsIgnoreCase("tag129")) {  return this.getTag129();        }
        else if (tag.equalsIgnoreCase("tag130")) {  return this.getTag130();        }
        else if (tag.equalsIgnoreCase("tag131")) {  return this.getTag131();        }
        else if (tag.equalsIgnoreCase("tag132")) {  return this.getTag132();        }
        else if (tag.equalsIgnoreCase("tag133")) {  return this.getTag133();        }
        else if (tag.equalsIgnoreCase("tag134")) {  return this.getTag134();        }
        else if (tag.equalsIgnoreCase("tag135")) {  return this.getTag135();        }
        else if (tag.equalsIgnoreCase("tag136")) {  return this.getTag136();        }
        else if (tag.equalsIgnoreCase("tag137")) {  return this.getTag137();        }
        else if (tag.equalsIgnoreCase("tag138")) {  return this.getTag138();        }
        else if (tag.equalsIgnoreCase("tag139")) {  return this.getTag139();        }
        else if (tag.equalsIgnoreCase("tag140")) {  return this.getTag140();        }
        else if (tag.equalsIgnoreCase("tag141")) {  return this.getTag141();        }
        else if (tag.equalsIgnoreCase("tag142")) {  return this.getTag142();        }
        else if (tag.equalsIgnoreCase("tag143")) {  return this.getTag143();        }
        else if (tag.equalsIgnoreCase("tag144")) {  return this.getTag144();        }
        else if (tag.equalsIgnoreCase("tag145")) {  return this.getTag145();        }
        else if (tag.equalsIgnoreCase("tag146")) {  return this.getTag146();        }
        else if (tag.equalsIgnoreCase("tag147")) {  return this.getTag147();        }
        else if (tag.equalsIgnoreCase("tag148")) {  return this.getTag148();        }
        else if (tag.equalsIgnoreCase("tag149")) {  return this.getTag149();        }
        else if (tag.equalsIgnoreCase("tag150")) {  return this.getTag150();        }
        else if (tag.equalsIgnoreCase("tag151")) {  return this.getTag151();        }
        else if (tag.equalsIgnoreCase("tag152")) {  return this.getTag152();        }
        else if (tag.equalsIgnoreCase("tag153")) {  return this.getTag153();        }
        else if (tag.equalsIgnoreCase("tag154")) {  return this.getTag154();        }
        else if (tag.equalsIgnoreCase("tag155")) {  return this.getTag155();        }
        else if (tag.equalsIgnoreCase("tag156")) {  return this.getTag156();        }
        else if (tag.equalsIgnoreCase("tag157")) {  return this.getTag157();        }
        else if (tag.equalsIgnoreCase("tag158")) {  return this.getTag158();        }
        else if (tag.equalsIgnoreCase("tag159")) {  return this.getTag159();        }
        else if (tag.equalsIgnoreCase("tag160")) {  return this.getTag160();        }
        else {
			return null;
		}
    }
}